/* eslint-disable react/prop-types */
export const RecipeFilters = ({ filters, onFilterChange }) => (
    <div className="filters-container">
        <select value={filters?.diet}
            onChange={(e) => onFilterChange('diet', e?.target?.value)}
            className="filter-select"
        >

            <option value="">All Diets</option>
            <option value="vegetarian">Vegetarian</option>
            <option value="vegan">Vegan</option>
            <option value="gluten-free">Gluten Free</option>
        </select>


        <select value={filters?.cuisine} 
        onChange={(e) => onFilterChange('cuisine', e?.target?.value)}
        className="filter-select"
        >

            <option value="american">American</option>
            <option value="italian">Italian</option>
            <option value="indian">Indian</option>
            <option value="mexican">Mexican</option>
        </select>
        <input type="number"
        placeholder="Max cooking time (mins)"
        value={filters?.maxTime}
        onChange={(e) => onFilterChange('maxTime', e?.target?.value)}
        className="filter-input"
        />
    </div>
);
