/* eslint-disable react/prop-types */
import { RecipeDetailsCard } from '../RecipeCard/index';

export const RecipeGrid = ({ recipes, onRecipeClick }) => (
    <div className="recipe-grid">
        {recipes?.map((recipe) => (
            <RecipeDetailsCard
            key={recipe?.id}
            recipe={recipe}
            onClick={() => onRecipeClick(recipe)}
            />
        ))}
    </div>
);